dofile("Tools.lua")
dofile("GroundUnits/WeaponSystem/Tools/weapons.lua")
dofile("GroundUnits/WeaponSystem/Tools/CannonSounds.lua")
dofile("GroundUnits/WeaponSystem/Tools/AutoGunSounds.lua")

Iowa_weapons = weapons:new()

Iowa_weapons:addTurret(1)
Iowa_weapons:addLauncher(1, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(1, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(2)
Iowa_weapons:addLauncher(2, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(2, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(3)
Iowa_weapons:addLauncher(3, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(3, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(4)
Iowa_weapons:addLauncher(4, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(4, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(5)
Iowa_weapons:addLauncher(5, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(5, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(6)
Iowa_weapons:addLauncher(6, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(6, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(7)
Iowa_weapons:addLauncher(7, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(7, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(8)
Iowa_weapons:addLauncher(8, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(8, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(9)
Iowa_weapons:addLauncher(9, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(9, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(10)
Iowa_weapons:addLauncher(10, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(10, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(11)
Iowa_weapons:addLauncher(11, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(11, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(12)
Iowa_weapons:addLauncher(12, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(12, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(13)
Iowa_weapons:addLauncher(13, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(13, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(14)
Iowa_weapons:addLauncher(14, 1, automatic_gun_25mm)
Iowa_weapons:addLauncher(14, 2, automatic_gun_25mm)

Iowa_weapons:addTurret(15)
Iowa_weapons:addLauncher(15, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(16)
Iowa_weapons:addLauncher(16, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(17)
Iowa_weapons:addLauncher(17, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(18)
Iowa_weapons:addLauncher(18, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(19)
Iowa_weapons:addLauncher(19, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(20)
Iowa_weapons:addLauncher(20, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(21)
Iowa_weapons:addLauncher(21, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(22)
Iowa_weapons:addLauncher(22, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(23)
Iowa_weapons:addLauncher(23, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(24)
Iowa_weapons:addLauncher(24, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(25)
Iowa_weapons:addLauncher(25, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(26)
Iowa_weapons:addLauncher(26, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(27)
Iowa_weapons:addLauncher(27, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(28)
Iowa_weapons:addLauncher(28, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(29)
Iowa_weapons:addLauncher(29, 1, automatic_gun_RH202)

Iowa_weapons:addTurret(30)
Iowa_weapons:addLauncher(30, 1, ship_16)
Iowa_weapons:addLauncher(30, 2, ship_16)
Iowa_weapons:addLauncher(30, 3, ship_16)

Iowa_weapons:addTurret(31)
Iowa_weapons:addLauncher(31, 1, ship_16)
Iowa_weapons:addLauncher(31, 2, ship_16)
Iowa_weapons:addLauncher(31, 3, ship_16)

Iowa_weapons:addTurret(32)
Iowa_weapons:addLauncher(32, 1, ship_16)
Iowa_weapons:addLauncher(32, 2, ship_16)
Iowa_weapons:addLauncher(32, 3, ship_16)
--Iowa_weapons:addLauncher(32, 3, ship_FMC5)

Iowa_weapons:addTurret(33)
Iowa_weapons:addLauncher(33, 1, ship_FMC5)
Iowa_weapons:addLauncher(33, 2, ship_FMC5)

Iowa_weapons:addTurret(34)
Iowa_weapons:addLauncher(34, 1, ship_FMC5)
Iowa_weapons:addLauncher(34, 2, ship_FMC5)

Iowa_weapons:addTurret(35)
Iowa_weapons:addLauncher(35, 1, ship_FMC5)
Iowa_weapons:addLauncher(35, 2, ship_FMC5)

Iowa_weapons:addTurret(36)
Iowa_weapons:addLauncher(36, 1, ship_FMC5)
Iowa_weapons:addLauncher(36, 2, ship_FMC5)

Iowa_weapons:addTurret(37)
Iowa_weapons:addLauncher(37, 1, ship_FMC5)
Iowa_weapons:addLauncher(37, 2, ship_FMC5)

Iowa_weapons:addTurret(38)
Iowa_weapons:addLauncher(38, 1, ship_FMC5)
Iowa_weapons:addLauncher(38, 2, ship_FMC5)

Iowa_weapons:addTurret(39)
Iowa_weapons:addLauncher(39, 1, ship_FMC5)
Iowa_weapons:addLauncher(39, 2, ship_FMC5)

Iowa_weapons:addTurret(40)
Iowa_weapons:addLauncher(40, 1, ship_FMC5)
Iowa_weapons:addLauncher(40, 2, ship_FMC5)

Iowa_weapons:addTurret(41)
Iowa_weapons:addLauncher(41, 1, ship_FMC5)
Iowa_weapons:addLauncher(41, 2, ship_FMC5)

Iowa_weapons:addTurret(42)
Iowa_weapons:addLauncher(42, 1, ship_FMC5)
Iowa_weapons:addLauncher(42, 2, ship_FMC5)